Package javax.mail.search

## Class SearchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.mail.MessagingException
      - - javax.mail.search.SearchException

All Implemented Interfaces:
  `Serializable`

    public class SearchException
    extends MessagingException

The exception thrown when a Search expression could not be handled.

Author:
  John Mani
See Also:
  Serialized Form

### Constructor Summary

Constructors
`SearchException​()` Constructs a SearchException with no detail message.
`SearchException​(String s)` Constructs a SearchException with the specified detail message.

### Method Summary

### Methods inherited from class javax.mail.MessagingException

`getCause, getNextException, setNextException, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Constructor Detail

#### SearchException

    public SearchException​()

Constructs a SearchException with no detail message.

#### SearchException

    public SearchException​(String s)

Constructs a SearchException with the specified detail message.

Parameters:
  `s` - the detail message